Bug 59481 - [Qt][Symbian] API test failure qdeclarativewebview
: [Qt][Symbian] API test failure qdeclarativewebview
Status: RESOLVED FIXED
: WebKit
WebKit Qt
: 528+ (Nightly build)
: S60 Hardware S60 3rd edition
: P2 Normal
Assigned To:
:
: Qt, QtTriaged
:
: 38654
  Show dependency treegraph
 
Reported: 2011-04-26 12:05 PST by
Modified: 2011-06-07 12:55 PST (History)


Attachments
Patch (2.02 KB, patch)
2011-04-26 14:17 PST, aravind.akella@nokia.com
hausmann: review-
hausmann: commit‑queue-
Review Patch | Details | Formatted Diff | Diff
Patch (2.04 KB, patch)
2011-04-27 06:44 PST, aravind.akella@nokia.com
no flags Review Patch | Details | Formatted Diff | Diff
Slightly cleaned up patch. (3.08 KB, patch)
2011-06-07 09:44 PST, Siddharth Mathur
no flags Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-04-26 12:05:13 PST
qt/tests/qdeclarativewebview/tst_qdeclarativewebview fails on symbian. 

Log file is attached.
------- Comment #1 From 2011-04-26 14:17:19 PST -------
Created an attachment (id=91156) [details]
Patch

qml files cannot be loaded on the symbian due to the differences 
in capabilities between qmlwebkitplugin.dll and Qtwebkit.dll. It is 
giving a platsec error that Qtwebkit.dll has "DRM AllFiles" capabilities 
missing. Changing declarative.pro to match the capabilities set in 
QtWebKit.pro. Adding WriteDeviceData capability in tests.pri.
------- Comment #2 From 2011-04-26 14:20:19 PST -------
Attachment 91156 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WebKit/qt/ChangeLog', u'Source/WebK..." exit_code: 1

Source/WebKit/qt/ChangeLog:8:  Line contains tab character.  [whitespace/tab] [5]
Source/WebKit/qt/ChangeLog:9:  Line contains tab character.  [whitespace/tab] [5]
Source/WebKit/qt/ChangeLog:10:  Line contains tab character.  [whitespace/tab] [5]
Source/WebKit/qt/ChangeLog:11:  Line contains tab character.  [whitespace/tab] [5]
Source/WebKit/qt/ChangeLog:12:  Line contains tab character.  [whitespace/tab] [5]
Total errors found: 5 in 3 files


If any of these errors are false positives, please file a bug against check-webkit-style.
------- Comment #3 From 2011-04-26 15:17:41 PST -------
(From update of attachment 91156 [details])
I _think_ this is probably the correct solution, but let's see what Laszlo or Janne say. I'm r-'ing this one due to the style issues reported (no tabs in the ChangeLog).
------- Comment #4 From 2011-04-27 06:44:11 PST -------
Created an attachment (id=91277) [details]
Patch

Resubmitting the patch. Changed the tabs to spaces in ChangeLog.
------- Comment #5 From 2011-04-28 07:01:16 PST -------
Patch looks ok for developer signed DLLs. Though, not entirely sure if this kind of patching is needed. Qt DLLs use all - tcb for production as they should and in case of self/developer signing patch_capabilities.pl is used.

What device data we are writing? Could it be that the directories are wrong and we end up writing in dir that we shouldn't be ?
------- Comment #6 From 2011-05-01 10:51:51 PST -------
(From update of attachment 91277 [details])
rs=me.
------- Comment #7 From 2011-05-01 10:52:34 PST -------
(From update of attachment 91277 [details])
Leaving the cq+ off, to give real nokia contributors more time to comment.
------- Comment #8 From 2011-05-02 10:56:34 PST -------
Any symbian dev has comment regarding what Janne said?
------- Comment #9 From 2011-06-07 09:44:21 PST -------
Created an attachment (id=96252) [details]
Slightly cleaned up patch. 

Changes from Aravind's last patch: 
- improved Changelog comment
- similar to QtWebKit.pro, uses the CONFIG(production) flag for the QML plugin as well as platform plugin
- removes use of TARGET.VID from Yi Shen's platform plugin .pro file. (we don't use it in any other WebKit DLL)
------- Comment #10 From 2011-06-07 11:01:27 PST -------
(From update of attachment 91277 [details])
I plan to advance https://bug-59481-attachments.webkit.org/attachment.cgi?id=96252 instead, so clearing r+.
------- Comment #11 From 2011-06-07 11:12:07 PST -------
(From update of attachment 96252 [details])
Looks great, thanks !
------- Comment #12 From 2011-06-07 12:17:52 PST -------
(From update of attachment 96252 [details])
Clearing flags on attachment: 96252

Committed r88253: <http://trac.webkit.org/changeset/88253>
------- Comment #13 From 2011-06-07 12:17:57 PST -------
All reviewed patches have been landed.  Closing bug.
------- Comment #14 From 2011-06-07 12:55:16 PST -------
Revision r88253 cherry-picked into qtwebkit-2.2 with commit 7b8defb <http://gitorious.org/webkit/qtwebkit/commit/7b8defb>